Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Class ServerPort

    java.lang.Object
      org.jivesoftware.openfire.ServerPort

    public class ServerPort

extends Object

Represents a port on which the server will listen for connections. Used to aggregate information that the rest of the system needs regarding the port while hiding implementation details.

Author:
  Iain Shigeoka

Nested Class Summary
`static class` | `ServerPort.Type`

Constructor Summary
`ServerPort(int port, String name, String address, boolean isSecure, String algorithm, ServerPort.Type type)`

Method Summary
`List<String>` | `getDomainNames()` Returns the logical domains for this server port.
`String` | `getIPAddress()` Returns the dot separated IP address for the server.
`int` | `getPort()` Returns the port number that is being used.
`String` | `getSecurityType()` Returns the basic protocol/algorithm being used to secure the port connections.
`ServerPort.Type` | `getType()`
`boolean` | `isClientPort()` Returns true if clients can connect to this port.
`boolean` | `isComponentPort()` Returns true if external components can connect to this port.
`boolean` | `isConnectionManagerPort()` Returns true if connection managers can connect to this port.
`boolean` | `isSecure()` Determines if the connection is secure.
`boolean` | `isServerPort()` Returns true if other servers can connect to this port for s2s communication.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerPort

    public ServerPort(int port,
                      String name,
                      String address,
                      boolean isSecure,
                      String algorithm,
                      ServerPort.Type type)

Method Detail

### getPort

    public int getPort()

  Returns the port number that is being used.

  Returns:
    the port number this server port is listening on.

### getDomainNames

    public List<String> getDomainNames()

  Returns the logical domains for this server port. As multiple domains may point to the same server, this helps to define what the server considers "local".

  Returns:
    the server domain name(s) as Strings.

### getIPAddress

    public String getIPAddress()

  Returns the dot separated IP address for the server.

  Returns:
    The dot separated IP address for the server

### isSecure

    public boolean isSecure()

  Determines if the connection is secure.

  Returns:
    True if the connection is secure

### getSecurityType

    public String getSecurityType()

  Returns the basic protocol/algorithm being used to secure the port connections. An example would be "SSL" or "TLS".

  Returns:
    The protocol used or null if this is not a secure server port

### isServerPort

    public boolean isServerPort()

  Returns true if other servers can connect to this port for s2s communication.

  Returns:
    true if other servers can connect to this port for s2s communication.

### isClientPort

    public boolean isClientPort()

  Returns true if clients can connect to this port.

  Returns:
    true if clients can connect to this port.

### isComponentPort

    public boolean isComponentPort()

  Returns true if external components can connect to this port.

  Returns:
    true if external components can connect to this port.

### isConnectionManagerPort

    public boolean isConnectionManagerPort()

  Returns true if connection managers can connect to this port.

  Returns:
    true if connection managers can connect to this port.

### getType

    public ServerPort.Type getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.